#
# spec file for package pagemon
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pagemon
Version:        0.01.12
Release:        lp150.1.5
Summary:        Interactive memory/page monitoring tool
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/pagemon
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pagemon is a ncurses based interactive memory/page monitoring tool
allowing one to browse the memory map of an active running process
on Linux.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING README
%{_sbindir}/pagemon
%{_mandir}/man8/pagemon.8%{ext_man}

%changelog
* Thu Jan 11 2018 mardnh@gmx.de
- Update to version 0.01.12
  * Makefile: bump version
  * Makefile: Add -fPIC
  * Fix build failure on ia64 when perf is not available
  * Update copyright year
* Thu Dec 28 2017 mardnh@gmx.de
- Update to version 0.01.11
  * Bump version
  * Update Standards-Version to 4.1.2
  * Print physical location rather than pfn
* Wed May 10 2017 mardnh@gmx.de
- update to version 0.01.10
  * Makefile: bump version
  * fix shadowing offset variable
  * fix shadowing map variable
  * Makefile: Add PEDANTIC gcc flags
- update to version 0.01.09
  * Makefile: bump version
  * Debian/control: update Standards-Version to 3.9.8
  * Remove redundant statement, found using scan-build
* Thu Feb 18 2016 mardnh@gmx.de
- initial package
